# Created by pyp2rpm-3.3.2
%global pypi_name pymacaroons

%if 0%{?rhel} >= 7 || 0%{?fedora} >= 12
%bcond_without python3
%else
%bcond_with python3
%endif

%if 0%{?rhel} >= 9 || 0%{?fedora} >= 30
%bcond_with python2
%else
%bcond_without python2
%endif

Name:           python-%{pypi_name}
Version:        0.13.0
Release:        6%{?dist}.2
Summary:        Macaroon library for Python

License:        MIT
URL:            https://github.com/ecordell/pymacaroons
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if %{with python2}
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
%endif

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
%endif

%description
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.

%if %{with python2}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Conflicts:      python2-pymacaroons-pynacl
Obsoletes:      python2-pymacaroons-pynacl
Requires:       python2dist(pynacl) < 2.0
Requires:       python2dist(pynacl) >= 1.1.2
Requires:       python2dist(six) >= 1.8.0

%description -n python2-%{pypi_name}
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.
%endif

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Conflicts:      python3-pymacaroons-pynacl
Obsoletes:      python3-pymacaroons-pynacl
Requires:       python3dist(pynacl) < 2.0
Requires:       python3dist(pynacl) >= 1.1.2
Requires:       python3dist(six) >= 1.8.0

%description -n python3-%{pypi_name}
Macaroons, like cookies, are a form of bearer credential.
Unlike opaque tokens, macaroons embed caveats that define
specific authorization requirements for the target service,
the service that issued the root macaroon and which is
capable of verifying the integrity of macaroons it recieves.

Macaroons allow for delegation and attenuation of authorization.
They are simple and fast to verify, and decouple authorization policy
from the enforcement of that policy.

This is a Python implementation of Macaroons.
%endif

%package -n python-%{pypi_name}-doc
Summary:        pymacaroons documentation
%description -n python-%{pypi_name}-doc
Documentation for pymacaroons

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if %{with python2}
%py2_build
%endif
%if %{with python3}
%py3_build
%endif
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if %{with python2}
%py2_install
%endif
%if %{with python3}
%py3_install
%endif

%if %{with python2}
%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py*.*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py*.*.egg-info
%endif

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Wed Sep  7 2022 Oleg Girko <ol@infoserver.lv> - 0.13.0-6
- Build for Python3 for RHEL >= 7
- Don't build for Python2 on RHEL >= 9
* Fri Oct 22 2021 Oleg Girko <ol@infoserver.lv> - 0.13.0-5
- Fix pattern for egg-info file to allow two-digit Python minor version
* Thu Apr 11 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0-4
- Fix conditional build for Python 2 and Python 3.
* Thu Feb  7 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0-3
- Make packages also obsolete python[23]-pymacaroons-pynacl.
* Wed Feb  6 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0-2
- Make packages conflict with obsoleted python[23]-pymacaroons-pynacl.
- Remove spaces at end of line from spec file.
* Tue Feb  5 2019 Oleg Girko <ol@infoserver.lv> - 0.13.0-1
- Initial package.
